restinio::easy_parser::impl::not_particular_symbol_predicate_t Struct Reference

A predicate for cases where mismatch with a particular symbol is required. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::not_particular_symbol_predicate_t:

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Public Attributes

char | m_sentinel

## Detailed Description

A predicate for cases where mismatch with a particular symbol is required.

Since
  v.0.6.6

Definition at line 2218 of file easy_parser.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::easy_parser::impl::not_particular_symbol_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 2224 of file easy_parser.hpp.

## Member Data Documentation

## m_sentinel

char restinio::easy_parser::impl::not_particular_symbol_predicate_t::m_sentinel

Definition at line 2220 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp